From 32e696e90f69171d9b502b6afc86c08e7716d4fb Mon Sep 17 00:00:00 2001
From: Jiajin Cui <cuijiajin@uniontech.com>
Date: Wed, 14 Apr 2021 13:28:35 +0800
Subject: [PATCH] winepulse.drv: Add get ISimpleAudioVolume interface by
 IAudioSessionControl2.

Signed-off-by: Jiajin Cui <cuijiajin@uniontech.com>
---
 dlls/winepulse.drv/mmdevdrv.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dlls/winepulse.drv/mmdevdrv.c b/dlls/winepulse.drv/mmdevdrv.c
index ea739affb2f..6ee26377859 100644
--- a/dlls/winepulse.drv/mmdevdrv.c
+++ b/dlls/winepulse.drv/mmdevdrv.c
@@ -3016,6 +3016,8 @@ static AudioSessionWrapper *AudioSessionWrapper_Create(ACImpl *client)
 static HRESULT WINAPI AudioSessionControl_QueryInterface(
         IAudioSessionControl2 *iface, REFIID riid, void **ppv)
 {
+    AudioSessionWrapper *This = impl_from_IAudioSessionControl2(iface);
+
     TRACE("(%p)->(%s, %p)\n", iface, debugstr_guid(riid), ppv);
 
     if (!ppv)
@@ -3026,6 +3028,9 @@ static HRESULT WINAPI AudioSessionControl_QueryInterface(
         IsEqualIID(riid, &IID_IAudioSessionControl) ||
         IsEqualIID(riid, &IID_IAudioSessionControl2))
         *ppv = iface;
+    else if (IsEqualIID(riid, &IID_ISimpleAudioVolume))
+        *ppv = &This->ISimpleAudioVolume_iface;
+
     if (*ppv) {
         IUnknown_AddRef((IUnknown*)*ppv);
         return S_OK;
-- 
2.20.1

